Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.aop.framework
Class DefaultAdvisorChainFactory

    java.lang.Object
      org.springframework.aop.framework.DefaultAdvisorChainFactory

All Implemented Interfaces:
  java.io.Serializable, AdvisorChainFactory

    public class DefaultAdvisorChainFactory

extends java.lang.Object
implements AdvisorChainFactory, java.io.Serializable

A simple but definitive way of working out an advice chain for a Method, given an `Advised` object. Always rebuilds each advice chain; caching can be provided by subclasses.

Since:
  2.0.3
Author:
  Juergen Hoeller, Rod Johnson, Adrian Colyer
See Also:
  Serialized Form

Constructor Summary
`DefaultAdvisorChainFactory()`

Method Summary
`java.util.List<java.lang.Object>` | `getInterceptorsAndDynamicInterceptionAdvice(Advised config, java.lang.reflect.Method method, java.lang.Class targetClass)` Determine a list of `MethodInterceptor` objects for the given advisor chain configuration.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultAdvisorChainFactory

    public DefaultAdvisorChainFactory()

Method Detail

### getInterceptorsAndDynamicInterceptionAdvice

    public java.util.List<java.lang.Object> getInterceptorsAndDynamicInterceptionAdvice(Advised config,
                                                                                        java.lang.reflect.Method method,
                                                                                        java.lang.Class targetClass)

  Description copied from interface: `AdvisorChainFactory`
  Determine a list of `MethodInterceptor` objects for the given advisor chain configuration.

  Specified by:
    `getInterceptorsAndDynamicInterceptionAdvice` in interface `AdvisorChainFactory`
  Parameters:
    `config` - the AOP configuration in the form of an Advised object
    `method` - the proxied method
    `targetClass` - the target class
  Returns:
    List of MethodInterceptors (may also include InterceptorAndDynamicMethodMatchers)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD